# Delete everything in the IP cache for this project (which should be local to project)
config_ip_cache -clear_local_cache

# Delete all OOC runs for each Block Diagram
foreach bd [get_files -quiet -filter { FILE_TYPE == "Block Designs" }] {
  set composite {}
  # PARENT_COMPOSITE_FILE only exists for BDs that are embedded in something such as an IP.
  catch {set composite [get_property -quiet PARENT_COMPOSITE_FILE $bd]}
  if { $composite eq {} } {
    reset_target all $bd
    delete_ip_run $bd
  }
}

# Delete OOC run for each non-Block Diagram IP
foreach ip [get_ips -quiet -filter { SCOPE == "" }] {
  reset_target all $ip
  delete_ip_run $ip
}

# Reset remaining runs, which should be non-OOC
foreach run [get_runs] {
  reset_run $run
}

# Build the project
launch_runs -to_step write_bitstream -jobs 4 impl_1
wait_on_run impl_1
