# PCIe reset
set_property PACKAGE_PIN AE15    [get_ports perst_n]
set_property IOSTANDARD LVCMOS33 [get_ports perst_n]
set_max_delay -from [get_ports {perst_n}]  100
set_min_delay -from [get_ports {perst_n}] -100
set_false_path -from [get_ports perst_n]

# PCIe reference clock
set_property PACKAGE_PIN AK10 [get_ports pcie100_p]
set_max_delay -from [get_ports {pcie100_p}]  100
set_min_delay -from [get_ports {pcie100_p}] -100

set_property PACKAGE_PIN AK9  [get_ports pcie100_n]
set_max_delay -from [get_ports {pcie100_n}]  100
set_min_delay -from [get_ports {pcie100_n}] -100

# HS AVR
#   AVR_HS_CLK_TGT AR12
#   AVR_HS_B2U_TGT AT12
#   AVR_HS_U2B_TGT AP14

# Monitor AVR
set_property PACKAGE_PIN AP13 [get_ports {avr_clk}]
set_property IOSTANDARD LVCMOS33 [get_ports {avr_clk}]
set_max_delay -from [get_ports {avr_clk}]  100
set_min_delay -from [get_ports {avr_clk}] -100

set_property PACKAGE_PIN AN13 [get_ports {avr_b2t}]
set_property IOSTANDARD LVCMOS33 [get_ports {avr_b2t}]
set_max_delay -from [get_ports {avr_b2t}]  100
set_min_delay -from [get_ports {avr_b2t}] -100

set_property PACKAGE_PIN AD14 [get_ports {avr_t2b}]
set_property IOSTANDARD LVCMOS33 [get_ports {avr_t2b}]
set_max_delay -to [get_ports {avr_t2b}]  100
set_min_delay -to [get_ports {avr_t2b}] -100
