--
-- adb3_ocp_register.vhd
-- 
-- (C) 2009 Alpha Data Ltd.
--
-- ADB3_OCP Register
-- Registers ADB3_OCP Command and Data signals to improve timing
-- Sacrifices throughput, by only sending 1 accept every 3 clock cycles


library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_misc.all;

library work;
use work.adb3_ocp.all;

entity adb3_ocp_register is

  port (
    clk : in  std_logic;
    master_m2s : in  adb3_ocp_m2sT;
    master_s2m : out adb3_ocp_s2mT := ADB3_OCP_DEFAULT_S2M;
    slave_m2s  : out adb3_ocp_m2sT := ADB3_OCP_DEFAULT_M2S;
    slave_s2m  : in  adb3_ocp_s2mT);

end adb3_ocp_register;

architecture mixed of adb3_ocp_register is

begin  -- mixed

  slave_m2s <= master_m2s;
  master_s2m <= slave_s2m;

end mixed;
