--
-- Board Control type definitions package
--
-- SYNTHESIZABLE
--
-- Targets following variants:
--
--   o ADB3-XRC6TL
--   o ADB3-XRC6T1
--

library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;
use ieee.std_logic_arith.all;

library work;


------------------------------------------------------------------
package adb3_board_ctrl_defs is

   
   --------------------------------------------------------
   -- types specific to these components
   --------------------------------------------------------
   -------------------------------
   type adb3_xrm_fru_t is
   -------------------------------
   record
      vio_nomV       : std_logic_vector(15 downto 0);
      vio_nomV_Vd    : std_logic;
      vio_nomV_Err   : std_logic;
   end record; -- adb3_xrm_fru_t
   
   -------------------------------
   type adb3_xsmonStat_t is
   -------------------------------
   record
      Strobe       : std_logic;
      Adr          : std_logic_vector( 7 downto 0);
      Data         : std_logic_vector(15 downto 0);
   end record; -- adb3_model_xsmonStat_t

   -------------------------------
   type adb3_tempGrade_t is
   -------------------------------
      (com, ind, ext);
end;                  

package body adb3_board_ctrl_defs is

end;   

