--------------------------------------------------------------------------------
-- Company:         Alpha-Data Parallel Systems
-- Engineer:        Alan Crawford
--
-- Create Date:
-- Design Name:
-- Module Name:     pcie_ocp_slave64
-- Project Name:    adb3
-- Target Device:   V5FX
-- Tool versions:
-- Description:     PCIE to OCP slave port - converts OCP READ/WRITES into PCIe
--                  and translates CPLDs back into OCP
--
-- Dependencies:    PCIe/OCP Packages for signal records
--
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
--
--------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

library work;
use work.pcie.ALL;
use work.adb3_ocp.ALL;
use work.pciegen3_pkg.all;

entity pargen is
  port(
    data_in     : in  std_logic_vector(7 downto 0);
    parity_odd  : out std_logic
    );
end pargen;

architecture synth of pargen is

signal p1,p2,p3,p4,p5,p6 : std_logic;

begin
  p1 <= data_in(0) xor data_in(1);
  p2 <= data_in(2) xor data_in(3);
  p3 <= data_in(4) xor data_in(5);
  p4 <= data_in(6) xor data_in(7);
  p5 <= p1 xor p2;
  p6 <= p3 xor p4;

  parity_odd <=  p5 xnor p6;

end synth;

