#pragma once

#include <objmodel.h>
#include <factory.h>

class CFactory : public IFactory {
public:
  virtual ~CFactory();
  IClockGenWnd* createClockGenWnd(ISysMonWnd* pParent, bool_t bVisible) const;
  IDeviceInfoWnd* createDeviceInfoWnd(ISysMonWnd* pParent, bool_t bVisible) const;
  IDeviceStatusWnd* createDeviceStatusWnd(ISysMonWnd* pParent, bool_t bVisible) const;
  IGraphWnd* createGraphWnd(ISysMonWnd* pParent, unsigned int index, bool_t bVisible) const;
  IGraphWndToolbar* createGraphWndToolbar(IGraphWnd* pParent, unsigned int index) const;
  IScopeKey* createScopeKey(IGraphWndToolbar* pParent) const;
  IScopeWnd* createScopeWnd(IGraphWnd* pParent) const;
  ISensorInfoWnd* createSensorInfoWnd(ISysMonWnd* pParent, bool_t bVisible) const;
  ISysMonWnd* createSysMonWnd() const;
};
