#pragma once

#include <objmodel.h>

class CClockGenWnd : public Gtk::ScrolledWindow, public IClockGenWnd
{
public:
  CClockGenWnd(ISysMonWnd* pParent, bool_t bVisible);
  virtual ~CClockGenWnd();
  // IClockGenWnd interface
  void deviceChanged();
  void numDeviceChanged();
  control_handle_t getNativeControl() { return *this; }
  ISysMonWnd* getParent() const { return m_pParent; }
  void update();

protected:
  void onEditingStarted(Gtk::CellEditable* cell_editable, const Glib::ustring& path);
  void onEdited(const Glib::ustring& path_string, const Glib::ustring& new_text);
  void onEditingCancelled();

protected:
  class ModelColumns : public Gtk::TreeModel::ColumnRecord {
  public:
    ModelColumns() {
      add(m_index);
      add(m_description);
      add(m_frequency);
    }

    Gtk::TreeModelColumn<unsigned int> m_index;
    Gtk::TreeModelColumn<Glib::ustring> m_description;
    Gtk::TreeModelColumn<Glib::ustring> m_frequency;
  };

  ISysMonWnd* m_pParent;
  ModelColumns m_modelColumns;
  Glib::RefPtr<Gtk::ListStore> m_model;
  Gtk::VBox m_vboxCtl;
  Gtk::Label m_label;
  Gtk::TreeView m_listCtl;
  unsigned int m_numDevice;
  int m_freqEditIndex;
};
