#pragma once

#include <objmodel.h>
#include "stripedline.h"

#ifdef _DEBUG
# define new DEBUG_NEW
#endif

class CScopeKey : public CWnd, public IScopeKey
{
	DECLARE_DYNAMIC(CScopeKey)

public:
	CScopeKey(IGraphWndToolbar* pParent);
	virtual ~CScopeKey();
  // IScopeKey interface
  window_handle_t getNativeWindow() { return *this; }
  void tracesChanged();

protected:
  static const int m_defaultWidth = 120;
  static const int m_defaultHeight = 120;
  static const int m_traceStartY = 43;

  IGraphWndToolbar* m_pParent;
  unsigned int m_numTrace;
  CStripedLine m_lineRenderer;
  CBrush m_bgBrush;
  CBrush m_blackBrush;
  CFont m_font;
  HICON m_hIcon;
  CButton* m_pCheckBoxes;
  CButton m_allCtl, m_noneCtl;

protected:
  void deleteButtons();

  DECLARE_MESSAGE_MAP()

protected:
  afx_msg void OnClose();
  afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
  afx_msg void OnPaint();
  afx_msg void OnTraceEnable(UINT nID);
  afx_msg void OnTraceAll();
  afx_msg void OnTraceNone();
};
